rte_swx_table_stats(3)

NAME
rte_swx_table_stats

SYNOPSIS

#include <rte_swx_ctl.h>

  Data Fields

uint64_t n_pkts_hit
uint64_t n_pkts_miss
uint64_t * n_pkts_action

Detailed Description

Table statistics.

Definition at line 377 of file rte_swx_ctl.h.

Field Documentation

  uint64_t n_pkts_hit
Number of packets with lookup hit.

Definition at line 379 of file rte_swx_ctl.h.

  uint64_t n_pkts_miss
Number of packets with lookup miss.

Definition at line 382 of file rte_swx_ctl.h.

  uint64_t* n_pkts_action
Number of packets (with either lookup hit or miss) per pipeline action. Array of pipeline n_actions elements indexed by the pipeline-level action_id, therefore this array has the same size for all the tables within the same pipeline.

Definition at line 389 of file rte_swx_ctl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.